Bug 1473440 - Unreliable result from MPI_Wtime in openmpi-1.10.5
Unreliable result from MPI_Wtime in openmpi-1.10.5
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: openmpi (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Doug Ledford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 16:50 EDT by Feng Yu
Modified: 2017-12-12 05:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:20:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Feng Yu 2017-07-20 16:50:50 EDT
Description of problem:

openmpi-1.10.5 has a serious bug in MPI_Wtime, giving wrong results due to a misunderstood optimization. This was later fixed. See

https://github.com/open-mpi/ompi/issues/3003

Please update openmpi in Fedora to 1.10.7 which has the fix.

Version-Release number of selected component (if applicable):

openmpi-1.10.5

How reproducible:

On platform with CPU frequency scaling, always.

Steps to Reproduce:

1. Profile any application with MPI_Wtime

Actual results:

Measured time during operations become negative.

Expected results:

They shall be wall clock time.

Additional info:
Comment 1 Fedora Update System 2017-07-20 18:51:17 EDT
openmpi-1.10.7-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-682df1f704
Comment 2 Fedora Update System 2017-07-20 18:51:26 EDT
openmpi-1.10.7-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-90af4da3cf
Comment 3 Fedora Update System 2017-07-23 02:54:16 EDT
openmpi-1.10.7-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-90af4da3cf
Comment 4 Fedora Update System 2017-07-23 02:56:32 EDT
openmpi-1.10.7-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-682df1f704
Comment 5 Fedora End Of Life 2017-11-16 14:23:45 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2017-12-12 05:20:54 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.